Retrieve Invitations - m3ter Documentation
Retrieve Invitations
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/invitations \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/invitations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Responses
Status Codes:
- 200 - Successful retrieval
- 4XX - Client error
- 5XX - Server error
Sample Response
{
"data": [
{
"id": "<string>",
"version": 123,
"email": "<string>",
"permissionPolicyIds": [
"<string>"
],
"firstName": "<string>",
"lastName": "<string>",
"dtEndAccess": "2023-11-07T05:31:56Z",
"dtExpiry": "2023-11-07T05:31:56Z",
"invitingPrincipalId": "<string>",
"accepted": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}
Error Response
{
"message": "<string>"
}
Authorizations
- Authorization : string - Required for access. Supports OAuth2
clientCredentialsflow.